import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsTaskLogMsg } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-09 16:02
 */
interface DevopsTaskLogMsgCU extends ConditionUtil<DevopsTaskLogMsgCU> {
    ID: FieldUtil<DevopsTaskLogMsgCU>;
    TASK_ID: FieldUtil<DevopsTaskLogMsgCU>;
    APP_ID: FieldUtil<DevopsTaskLogMsgCU>;
    STEP_ID: FieldUtil<DevopsTaskLogMsgCU>;
    CONTENT: FieldUtil<DevopsTaskLogMsgCU>;
    RUN_TAG: FieldUtil<DevopsTaskLogMsgCU>;
    CREATE_TIME: FieldUtil<DevopsTaskLogMsgCU>;
    UPDATE_TIME: FieldUtil<DevopsTaskLogMsgCU>;
}
declare class DevopsTaskLogMsgMU extends TableUtilImpl<DevopsTaskLogMsgCU, DevopsTaskLogMsg> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsTaskLogMsgCU;
    static get ID(): FieldUtil<DevopsTaskLogMsgCU>;
    static get TASK_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    static get APP_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    static get STEP_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    static get CONTENT(): FieldUtil<DevopsTaskLogMsgCU>;
    static get RUN_TAG(): FieldUtil<DevopsTaskLogMsgCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>;
    get ID(): FieldUtil<DevopsTaskLogMsgCU>;
    get TASK_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    get APP_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    get STEP_ID(): FieldUtil<DevopsTaskLogMsgCU>;
    get CONTENT(): FieldUtil<DevopsTaskLogMsgCU>;
    get RUN_TAG(): FieldUtil<DevopsTaskLogMsgCU>;
    get CREATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>;
}
export { DevopsTaskLogMsgMU, DevopsTaskLogMsgCU };
